## org.jboss.tm
Interface TransactionManagerServiceMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  TransactionManagerService

public interface TransactionManagerServiceMBean
extends ServiceMBean

<description>

Version:
  $Revision: 1.5.4.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Toby Allsopp (toby.allsopp@peace.com)
See Also:
  <related>

Field Summary
`static java.lang.String` `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`long` `getNumSuspendedTransactions()`
`long` `getNumTransactions()`
`int` `getTransactionTimeout()`
`java.lang.String` `getXidClassName()`
`void` `setTransactionTimeout(int timeout)`
`void` `setXidClassName(java.lang.String name)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### getTransactionTimeout

    public int getTransactionTimeout()

### setTransactionTimeout

    public void setTransactionTimeout(int timeout)

### getXidClassName

    public java.lang.String getXidClassName()

### setXidClassName

    public void setXidClassName(java.lang.String name)

### getNumTransactions

    public long getNumTransactions()

### getNumSuspendedTransactions

    public long getNumSuspendedTransactions()

Copyright © 2000 The JBoss Organization. All Rights Reserved.